Subject: Re: [Json] Proposal to move forward on acceptable roots

From: Jacob Davies <[email-masked]>
Date: Wed, 4 Jun 2014 13:52:08 -0700

Should you mention "in a string element" in the binary- & date-encoding advice?

On Fri, May 30, 2014 at 3:57 PM, Tim Bray <[email-masked]> wrote:
> OK, I’ve got a i-json-01 in progress at
> http://www.tbray.org/tmp/draft-ietf-json-i-json-01.html which I think
> captures all the consensus calls and also includes a “Protocol-design
> Recommendations” section and drops the array-or-object top-level constraint.
>
> Diffs at
> http://tools.ietf.org/rfcdiff?url1=http://www.tbray.org/tmp/draft-ietf-json-i-json-00.txt&url2=http://www.tbray.org/tmp/draft-ietf-json-i-json-01.txt
>
>
> On Fri, May 30, 2014 at 2:18 PM, Matthew Morley <[email-masked]> wrote:
>>
>> +1
>>
>>
>> On Fri, May 30, 2014 at 12:13 PM, Joe Hildebrand (jhildebr)
>> <[email-masked]> wrote:
>>>
>>> One way we could go on the topic of what goes in the root that would work
>>> for me would be for us to add a non-normative section to I-JSON giving
>>> protocol design advice, and move the issue of potential incompatibility
>>> of
>>> non-[object,array] roots to that section.
>>>
>>> Into that section, we can also put some suggestions about how to encode
>>> integers, floats, and dates in strings, how to do forward-compatibility
>>> with objects (MUST ignore what you don't understand), and whatever other
>>> pearls of wisdom we come up with.
>>>
>>> Yes, I know that will make the document take longer, and open up other
>>> areas for us to argue about.
>>>
>>> --
>>> Joe Hildebrand
>>>
>>>
>>>
>>> _______________________________________________
>>> json mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/json
>>
>>
>>
>>
>> --
>> Matthew P. C. Morley
>>
>> _______________________________________________
>> json mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/json
>>
>
>
>
> --
> - Tim Bray (If you’d like to send me a private message, see
> https://keybase.io/timbray)
>
> _______________________________________________
> json mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/json
>